org.jboss.jca.core.tx.jbossts

## Class ConnectableXAResourceWrapperImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl
  - - org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.tm.ConnectableResource, org.jboss.tm.XAResourceWrapper
  Direct Known Subclasses:
    FirstResourceConnectableXAResourceWrapperImpl

      public class ConnectableXAResourceWrapperImpl
      extends XAResourceWrapperImpl
      implements org.jboss.jca.core.spi.transaction.ConnectableResource, org.jboss.tm.ConnectableResource

  A connectable XAResourceWrapper.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr)` Creates a new wrapper instance.
    `ConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.tm.ConnectableResource cr)` Creates a new wrapper instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.Object` | `getConnection()` Get a connection from the resource
    `int` | `hashCode()`
    `void` | `setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)` Set connectable resource listener

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl

      `commit, end, forget, getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectableXAResourceWrapperImpl

          public ConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource,
                                                  boolean pad,
                                                  java.lang.Boolean override,
                                                  java.lang.String productName,
                                                  java.lang.String productVersion,
                                                  java.lang.String jndiName,
                                                  org.jboss.jca.core.spi.transaction.ConnectableResource cr)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource

    - #### ConnectableXAResourceWrapperImpl

          public ConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource,
                                                  boolean pad,
                                                  java.lang.Boolean override,
                                                  java.lang.String productName,
                                                  java.lang.String productVersion,
                                                  java.lang.String jndiName,
                                                  org.jboss.tm.ConnectableResource cr)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource

  - ### Method Detail

    - #### getConnection

          public java.lang.Object getConnection()
                                         throws java.lang.Exception

      Get a connection from the resource
      Specified by:
        `getConnection` in interface `org.jboss.tm.ConnectableResource`
      Returns:
        The connection
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### setConnectableResourceListener

          public void setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)

      Set connectable resource listener
      Parameters:
        `crl` - The connectable resource listener

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `XAResourceWrapperImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `XAResourceWrapperImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)